Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Can't merge freeglut and ftgl
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Arctic
Apprentice
Apprentice


Joined: 04 Jul 2011
Posts: 178

PostPosted: Sun Sep 02, 2012 10:14 pm    Post subject: Can't merge freeglut and ftgl Reply with quote

After upgrade my system to Mesa git devel ,i ran revdep-rebuild and it claims for some packages:

Ftgl which is Urbanterron dependency is broken , wine with opengl support broken too , if try to recompile :


Code:
GL/glu.h: No such file or directory


Depgraped dependencies but no luck , try to delete virtual-glu and emerge glu (devel) get file collisions .
_________________
ln -s /user/artic /user/arctic
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2482
Location: Austria

PostPosted: Sun Sep 02, 2012 11:17 pm    Post subject: Reply with quote

You picked just the right time for your upgrade. libGLU was moved out of mesa recently and right now if you try to emerge media-libs/glu-9999 it will conflict with emul-linux-x86-opengl if installed. You can have a look here for a list of packages that need glu.

As a workaround, you could disable collision-protect for emerging glu.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Arctic
Apprentice
Apprentice


Joined: 04 Jul 2011
Posts: 178

PostPosted: Mon Sep 03, 2012 12:48 am    Post subject: Reply with quote

Code:
rm /usr/lib32/libGLU.so.1
rm /usr/lib32/libGLU.so
rm /usr/lib64/libGLU.so


after

Code:
emerge media-libs/glu-9999


them ftgl compile fine but freeglut break with a new error but revdep claims (Dynamic linking on your system is consistent... All done.) so no problem.
If you try to unmerge emul-linux-x86-opengl , glu dont compile ,glu has multilib flag but dependencies tree are break because packages need split and dependencies checked.

You has writen :

http://forums.gentoo.org/viewtopic-t-935230-highlight-glu.html

"ftgl use virtual glu" ,but if you dont install glu-9999 dont compile and revdep report break library.
_________________
ln -s /user/artic /user/arctic
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2482
Location: Austria

PostPosted: Mon Sep 03, 2012 5:52 am    Post subject: Reply with quote

If you look closer you will see that I provided a bumped virtual/glu-9.0 that pulls in the media-libs/glu-9999 (no stable version available at this time) that you need. I *think* this is the way it will be done once mesa-9.0 and glu finally enter the portage tree, but versioning and DEPEND could vary, I'm no expert there. When toying around with live ebuilds you should also make yourself comfortable with using your own local overlay to put such stuff into.

A quick recompile of freeglut on my system shows that everything's fine with my method.

Why did you delete your libGLU.so links?

Try this for a fresh start (easy way to success, will work but dependencies won't be set - beware of emerge --depclean):
Code:
# emerge -C media-libs/glu && emerge -1 emul-linux-x86-opengl
# FEATURES="-collision-protect" emerge -1 media-libs/glu


That all aside, since you are using overlay stuff, this thread should go into Unsupported Software.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Arctic
Apprentice
Apprentice


Joined: 04 Jul 2011
Posts: 178

PostPosted: Mon Sep 03, 2012 9:22 pm    Post subject: Reply with quote

genstorm wrote:
If you look closer you will see that I provided a bumped virtual/glu-9.0 that pulls in the media-libs/glu-9999 (no stable version available at this time) that you need. I *think* this is the way it will be done once mesa-9.0 and glu finally enter the portage tree, but versioning and DEPEND could vary, I'm no expert there. When toying around with live ebuilds you should also make yourself comfortable with using your own local overlay to put such stuff into.

A quick recompile of freeglut on my system shows that everything's fine with my method.

Why did you delete your libGLU.so links?

Try this for a fresh start (easy way to success, will work but dependencies won't be set - beware of emerge --depclean):
Code:
# emerge -C media-libs/glu && emerge -1 emul-linux-x86-opengl
# FEATURES="-collision-protect" emerge -1 media-libs/glu


That all aside, since you are using overlay stuff, this thread should go into Unsupported Software.


I deleted this files because threre was guilty of collision, i didn't edit make.conf for 3 collisions.

Regards
_________________
ln -s /user/artic /user/arctic
Back to top
View user's profile Send private message
Arctic
Apprentice
Apprentice


Joined: 04 Jul 2011
Posts: 178

PostPosted: Thu Sep 06, 2012 10:14 am    Post subject: Reply with quote

After sync layman , dependencies conflict seems solved :

Code:
Calculating dependencies... done!
[ebuild   R   #] media-libs/glu-9999::x11  USE="(multilib) -static-libs" 0 kB
[blocks B      ] app-emulation/emul-linux-x86-opengl ("app-emulation/emul-linux-x86-opengl" is blocking media-libs/glu-9999)

_________________
ln -s /user/artic /user/arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum